/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <May 26, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

.cta-btn:first-child {
    background: var(--color-primary-background);
}
.cta-btn:first-child:hover {
    background: transparent;
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.hp-welcome-1 .background-section, .hp-welcome-1 .background-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: bottom;
}

.hp-welcome-1 {
    padding-top: 17vh;
}

/* Services */
	/**/
.module-services.style-10:before {
    opacity: 0;
}

.module-services.style-10 .ry-flex .ry-each .services-details h4 {
    color: black;
}

.module-services.style-10 .ry-flex .ry-each .services-details p {
    color: #666;
}

.module-services.style-10 .ry-flex .ry-inner-flex .ry-each:nth-child(even) .photo:before {
    background: var(--color-secondary-background);
    opacity: 1;
}

.module-services.style-10 .ry-flex .ry-inner-flex .ry-each:nth-child(even) .photo img {
    filter: brightness(0) invert(1) !important;
    z-index: 1;
}

.module-services.style-10 .ry-flex .ry-inner-flex.icon-type .ry-each:nth-child(even):hover .photo:before {
    background: var(--color-primary-background);
}
/* Meet the Team */
	/**/
.homepage-team-swiper h6, .homepage-team-swiper p {
    color: var(--color-primary-text);
}


.swiper-pagination-bullet-active {
    background: var(--color-primary-background);
}

.swiper-pagination-bullet {
    background: var(--color-primary-background);
}
/* Insurance */
	/**/
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.testimonials-swiper .swiper-slide {
    border-radius: 0;
}
/* Footer */
	/**/

#ry-footer-3 .footer-contents::before {
    background: var(--color-secondary-background);
    opacity: 1;
}
/*Media Queries*/
	/**/
@media (min-width:1201px){
    .module-services.style-10 .custom-headline h2,
    .module-services.style-10 .custom-headline h2 .span-1 {
        text-align: left;
    }
}

@media (max-width:1024px){
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    .with-gradient:before {
        opacity: 0;
    }
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
/* End - HP Edits*/

.list-3 ul p {
		margin: 0;
	}

@media (min-width: 620px) {
	.list-3 ul {
		column-count: 3;
	}
}

body[data-page-name="brands-we-carry"] #hp-brands-5::before, 
body[data-page-name="brands-we-carry"] #hp-brands-6::before {
	display: none;
}

body[data-page-name="brands-we-carry"] div#contents .brand-wrapper ul li {
	list-style: none !important;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

#section-hp-team .swiper-slide img {
    object-position:top;
    height:250px;
}
html {
    scroll-behavior: smooth;
}
:target {
	scroll-margin-top:300px
}
.link, .link a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9;

    opacity: 0;
}


@media(max-width:1024px) {
  .bg-cta-background  {
    padding-bottom:50px
  }
  .bg-cta-background .mb-44 {
    margin-bottom: 0px;
}
  .hp-welcome-1 {
    padding-top:80PX
  }
}

.cta-btn.contact-cta a{
    max-width:fit-content;
}


.snap-mobile-menu .snap-mobile-menu {
    padding-inline:0
}

.snap-mobile-menu .gap-4 {
    gap:10px
}

.module-services .title {
    position:absolute;
    bottom:0;
    z-index:99;
    width:100%;
    height:60px;
    left:50%;
    transform:translatex(-50%);
    text-align:center;
    display:flex;
    align-items:center;
    justify-content:center;
    padding-inline:20px;
    font-size:18px;
    color:#fff;
    line-height:1.1
}

.module-services .ry-each {
    position:relative
}
@media(max-width:1480px) {
	.module-services .ry-each img {
		margin-top:-15PX
	}
}
@media(max-width:1200px) {
	.module-services.style-10 .ry-flex .ry-inner-flex .ry-each:nth-child(4) {
		margin-left: 0;
	}
	.module-services.style-10 .ry-flex > .ry-each:nth-child(2) {
		padding-left:0
	}
}
@media(max-width:480px) {
    .module-services .title {
    font-size:16px;
    }
    .module-services .title {
    bottom:5px;
    }

}